net.sf.saxon.lib

## Class StandardCollationURIResolver

- java.lang.Object
- - net.sf.saxon.lib.StandardCollationURIResolver

- All Implemented Interfaces:
    Serializable, CollationURIResolver

      public class StandardCollationURIResolver
      extends Object
      implements CollationURIResolver

  StandardCollationURIResolver allows a Collation to be created given a URI starting with "http://saxon.sf.net/collation" followed by a set of query parameters.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardCollationURIResolver()` The class is normally used as a singleton, but the constructor is public to allow the class to be named as a value of the configuration property COLLATION_URI_RESOLVER

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StandardCollationURIResolver` | `getInstance()` Return the singleton instance of this class
    `StringCollator` | `resolve(String uri, String base, Configuration config)` Create a collator from a parameterized URI

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StandardCollationURIResolver

          public StandardCollationURIResolver()

      The class is normally used as a singleton, but the constructor is public to allow the class to be named as a value of the configuration property COLLATION_URI_RESOLVER

  - ### Method Detail

    - #### getInstance

          public static StandardCollationURIResolver getInstance()

      Return the singleton instance of this class
      Returns:
        the singleton instance

    - #### resolve

          public StringCollator resolve(String uri,
                               String base,
                               Configuration config)

      Create a collator from a parameterized URI
      Specified by:
        `resolve` in interface `CollationURIResolver`
      Parameters:
        `uri` - the collation URI as written in the query or stylesheet
        `base` - The base URI of the static context where the collation URI appears. The base URI is available only in cases where the collation URI is resolved at compile time; in cases where the collation URI is not resolved until execution time (typically because it is supplied as an expression rather than as a string literal) this parameter is currently set to null.
        `config` - The configuration. Provided in case the collation URI resolver needs it.
      Returns:
        null if the collation URI is not recognized. If the collation URI is recognized but contains errors, the method returns null after sending a warning to the ErrorListener.

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.